CVE-2019-10131 (retired)

Priority
Description
An off-by-one read vulnerability was discovered in ImageMagick before
version 7.0.7-28 in the formatIPTCfromBuffer function in coders/meta.c. A
local attacker may use this flaw to read beyond the end of the buffer or to
crash the program.
Package
Upstream:released (8:6.9.10.2+dfsg-2)
Ubuntu 12.04 ESM (Precise Pangolin):DNE
Ubuntu 14.04 ESM (Trusty Tahr):DNE
Ubuntu 16.04 LTS (Xenial Xerus):released (8:6.8.9.9-7ubuntu5.14)
Ubuntu 18.04 LTS (Bionic Beaver):released (8:6.9.7.4+dfsg-16ubuntu6.7)
Ubuntu 18.10 (Cosmic Cuttlefish):not-affected (8:6.9.10.8+dfsg-1ubuntu2)
Ubuntu 19.04 (Disco Dingo):not-affected
Ubuntu 19.10 (Eoan):not-affected
Patches:
Upstream:https://github.com/ImageMagick/ImageMagick/commit/cb1214c124e1bd61f7dd551b94a794864861592e
Upstream:https://github.com/ImageMagick/ImageMagick6/commit/7ccc28ee4c777d915f95919ac3bcf8adf93037a7
More Information

Updated: 2019-06-25 14:15:00 UTC (commit fb4c4360fd0a8fb944c65030df15e42a767b5ff2)